#version 430

layout(binding=0) uniform sampler2D tex;

in vec2 uv;

layout(location = 0) out vec4 frag;
layout(location = 1) out vec4 frag2;
// layout(location = 1) out vec4 frag2;

uniform float g_time;
/*
float rand(vec2 co){
    return fract(sin(dot(co.xy ,vec2(12.9898,78.233))) * 43758.5453);
}

vec3 tonemapUC2(vec3 x) {
    float A = 0.15;
    float B = 0.50;
    float C = 0.10;
    float D = 0.20;
    float E = 0.02;
    float F = 0.30;
    return ((x*(A*x+C*B)+D*E)/(x*(A*x+B)+D*F))-E/F;
}
*/
uniform float flip=1.0;

uniform float overlayAlpha=1.0;


void main() {

    vec2 uvS = uv;
    uvS.y = 1.0-uvS.y;

//    vec4 screen = texture2D(tex, uvS+vec2(0.0, 0.0));

 //   vec4 screen = vec4(0.0, 0.0, 0.0, 1.0);

  //  frag = vec4(0.0, 0.0, 0.0, 0.0);
    frag2 = vec4(0.0, 0.0, 0.0, overlayAlpha);
}

